/*
 *  SAP2
 *  version 2.0
 *  copyright (C) 2000-2001 Eric Botcazou
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#ifndef TO8_H
#define TO8_H

/* pour reproduire l'interface de Teo */
extern int (*to8_DirectReadSector)(int drive, int track, int sector, int nsects, unsigned char data[]);
extern int (*to8_DirectWriteSector)(int drive, int track, int sector, int nsects, const unsigned char data[]);
extern int (*to8_DirectFormatTrack)(int drive, int track, const unsigned char header_table[]);

extern int InitDirectDisk(int drive_type[4], int enable_write);
extern void ExitDirectDisk(void);

#endif
